Page MenuHomePhabricator

Track how often an edit conflict happens for users that have TwoColConflict enabled
Closed, ResolvedPublic

Description

We would like to track how often the alternative edit conflict resolution screen (TwoColConflict) is popping up for users.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2017, 11:48 AM
Tobi_WMDE_SW triaged this task as Normal priority.Feb 22 2017, 11:48 AM
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.

See also T158073 which has already an (informal) Schema for tracking different kinds of information for each edit conflict (or a random sample of conflicts, if needed for performance reasons)

@Jan_Dittrich thx, I've missed that other one. I've connected them now. We probably want subtasks for the other points from T158073 as well.

We probably want subtasks for the other points from T158073 as well.

@Addshore does probably know if we should keep it in one issue or if we should better split it – if it all needs to be done together, it would not make sense; if not, let’s slice it.

I would see these as 2 separate tasks.

  • This one is a simple counter (in the same way that core has a counter for regular edit conflict views), and these can be compared directly.
  • The other task is about tracking the users flow through the conflict screens

Change 339955 had a related patch set uploaded (by Addshore):
Make EditPage::incrementConflictStats protected

https://gerrit.wikimedia.org/r/339955

Restricted Application added a project: User-Addshore. · View Herald TranscriptFeb 26 2017, 4:53 PM

Change 339956 had a related patch set uploaded (by Addshore):
Track how many times TwoColConflict is shown.

https://gerrit.wikimedia.org/r/339956

Addshore moved this task from Todo to Currently in sprint on the WMDE-QWERTY-Team board.

Change 339955 merged by jenkins-bot:
Make EditPage::incrementConflictStats protected

https://gerrit.wikimedia.org/r/339955

Change 339956 merged by jenkins-bot:
Track how many times TwoColConflict is shown.

https://gerrit.wikimedia.org/r/339956

Still to do, make / modify a dashboard for this which can be done once the code is deployed which will happen next week!

Addshore closed this task as Resolved.Mar 21 2017, 9:41 AM

Basic dashboard created
https://grafana.wikimedia.org/dashboard/db/mediawiki-twocolconflict
Any other additions should probably be separate tickets

Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Mar 28 2017, 3:40 PM